import request from '@/utils/request'
import constant from '@/constant'

function pageList(formData) {
  return request.post(constant.serverUrl + "/base/aboutUs/pageList", formData);
}

function create() {
  return request.get(constant.serverUrl + "/base/aboutUs/create");
}

function edit(id) {
  return request.get(constant.serverUrl + "/base/aboutUs/edit/" + id);
}

function add(formModel) {
  return request.post(constant.serverUrl + "/base/aboutUs/add", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function update(formModel) {
  return request.post(constant.serverUrl + "/base/aboutUs/update", formModel, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

function remove(id) {
  return request.post(constant.serverUrl + "/base/aboutUs/delete/" + id);
}

function checked(id) {
  return request.post(constant.serverUrl + "/base/aboutUs/checked/" + id);
}


function batchRemove(idList) {
  return request.post(constant.serverUrl + "/base/aboutUs/batchDelete", idList, {
    headers: {
      "Content-Type": "application/json"
    }
  });
}

export default {
  pageList, create, edit, add, update, remove, batchRemove,checked
}